Validate import storage

Validate a specific Redis import storage connection.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
descriptionstringOptional
Storage description
hoststringOptional

Server Host IP (optional)

idintegerOptional
Storage ID. If set, storage with specified ID will be updated
passwordstringOptional

Server Password (optional)

pathstringOptional

Storage prefix (optional)

portstringOptional

Server Port (optional)

projectintegerOptional
Project ID
regex_filterstringOptional
Cloud storage regex for filtering objects. You must specify it otherwise no objects will be imported.
titlestringOptional<=2048 characters
Storage title
use_blob_urlsbooleanOptionalDefaults to false
Interpret objects as BLOBs and generate URLs. For example, if your bucket contains images, you can use this option to generate URLs for these images. If set to False, it will read the content of the file and load it into Label Studio.

Response

Validation successful